
var oMain			= null;
var inMozOptions	= false;

function initOptions(){
	try{
	
		//Prefs
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		
		//Get Opener
		if(opener.gproxy_menuShowing){
			oMain = opener;
		}
		else if(opener.parent.opener && opener.parent.opener.gproxy_menuShowing){
			oMain			 = opener.parent.opener
			inMozOptions	= true;
		}
		
		//Prefill
		if(oPrefs.prefHasUserValue("gproxy.clear.cookies"))
				document.getElementById("gproxy.clear.cookies").checked = oPrefs.getBoolPref("gproxy.clear.cookies");
		if(oPrefs.prefHasUserValue("gproxy.reload.tab"))
				document.getElementById("gproxy.reload.tab").checked = oPrefs.getBoolPref("gproxy.reload.tab");
		if(oPrefs.prefHasUserValue("gproxy.display.context"))
				document.getElementById("gproxy.display.context").checked = oPrefs.getBoolPref("gproxy.display.context");
		if(oPrefs.prefHasUserValue("gproxy.display.statusbar"))
				document.getElementById("gproxy.display.statusbar").checked = oPrefs.getBoolPref("gproxy.display.statusbar");
					
		/*if(oPrefs.prefHasUserValue("gproxy.tabs.manager"))
				document.getElementById("gproxy.tabs.manager").checked = oPrefs.getBoolPref("gproxy.tabs.manager");*/
		
		//Set menushowing options
		if(oMain != null){
			document.getElementById("gproxy.display.toolbar").checked = oMain.gproxy_menuShowing("toolbar");
		}
		else{
			document.getElementById("gproxy.display.toolbar").style.display = "none";
		}
		
		// Thunderbird
		if(navigator.userAgent.search(/Thunderbird/gi) > -1){
			document.getElementById("gproxy.display.context").style.display = "none";
			document.getElementById("gproxy.display.toolbar").style.display = "none";
		}
			
	}catch(err){ alert(gproxy_getString("error.unknown") +"\n"+ err); }
}

function saveOptions(){
	
	try{
		
		//Save
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		
		oPrefs.setBoolPref("gproxy.clear.cookies", document.getElementById("gproxy.clear.cookies").checked);
		oPrefs.setBoolPref("gproxy.reload.tab", document.getElementById("gproxy.reload.tab").checked);
		oPrefs.setBoolPref("gproxy.display.statusbar", document.getElementById("gproxy.display.statusbar").checked);
		
		// Not Thunderbird
		if(navigator.userAgent.search(/Thunderbird/gi) < 0){
			oPrefs.setBoolPref("gproxy.display.context", document.getElementById("gproxy.display.context").checked);
			 
			if(oMain != null){
				oPrefs.setBoolPref("gproxy.display.toolbar", document.getElementById("gproxy.display.toolbar").checked);
			}
		}
		
		
		if(oMain != null)
			oMain.gproxy_showMenus();
		
	}catch(err){ alert(gproxy_getString("error.unknown") +"\n"+err); }
	
	if(oMain != null && !inMozOptions)
		oMain.focus();
		
	return true;	
}
